let
  pkgs = import <nixpkgs> {};
  nmigen-latest = pkgs.python3Packages.nmigen.overrideAttrs(oa: {
    src = pkgs.fetchFromGitHub {
      owner = "DonaldKellett";
      repo = "nmigen";
      rev = "ec914ed1d4d3a601eb78638bb70fe9a8996ca4e1";
      sha256 = "1ya874vzirv3n05c6x5kc7rkard13nnrvnxxkl9lgfhr57iw6hib";
    };
  });
in
  pkgs.mkShell {
    buildInputs = [
      (pkgs.python3.withPackages(ps: [nmigen-latest]))
      pkgs.yosys pkgs.symbiyosys
    ];
  }
